Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

## 10.11: Adding new commands to Gri

Gri provides so-called "newcommands" as a sort of subroutine syntax on steroids.

- Purpose: What newcommands are for
- Parsing: How Gri parses commands
- Simple New Command: Simple example of adding new command
- Complicated New Command: More complicated example
- Changeable Command Arguments: The &.var. and &\syn syntax